diff --git a/gnu/packages/spreadsheet-apps.scm b/gnu/packages/spreadsheet-apps.scm
index a2d82a111e..cf479f83c6 100644
--- a/gnu/packages/spreadsheet-apps.scm
+++ b/gnu/packages/spreadsheet-apps.scm
@@ -1,4 +1,5 @@
 ;;; GNU Guix --- Functional package management for GNU
+;;; Copyright © 2020 Ryan Prior <rprior@protonmail.com>
 ;;; Copyright © 2020 Ekaitz Zarraga <ekaitz@elenq.tech>
 ;;; Copyright © 2021 Jorge Gomez <jgart@dismail.de>
 ;;;
@@ -22,17 +23,25 @@ (define-module (gnu packages spreadsheet-apps)
   #:use-module (guix git-download)
   #:use-module (guix download)
   #:use-module (guix utils)
+  #:use-module (guix build utils)
+  #:use-module (guix download)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system python)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages)
   #:use-module (gnu packages base)
-  #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages bison)
+  #:use-module (gnu packages check)
+  #:use-module (gnu packages compression)
   #:use-module (gnu packages maths)
-  #:use-module (gnu packages statistics)
+  #:use-module (gnu packages ncurses)
+  #:use-module (gnu packages time)
+  #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages python-web)
+  #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages xml)
-  #:use-module (gnu packages compression)
-  #:use-module (gnu packages bison)
-  #:use-module (gnu packages ncurses))
+  #:use-module (gnu packages statistics)
+  #:use-module (gnu packages xml))
 
 (define-public sc-im
     (package
@@ -79,3 +88,38 @@ (define-public sc-im
  providing a vim-like experience.  @code{sc-im} supports @{gnuplot} interaction,
  functions for sorting and filtering, 256 color support, and much more.")
       (license license:bsd-4)))
+
+(define-public visidata
+  (package
+    (name "visidata")
+    (version "2.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "visidata" version))
+       (sha256
+        (base32
+         "19fbjr9j91pcazcz0bqx3qrasmr8xdsb13haf5lfbpyxj23f7f1j"))))
+    (build-system python-build-system)
+    (arguments
+     '(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests? (invoke "pytest"))
+             #t)))))
+    (inputs
+     `(("dateutil" ,python-dateutil)
+       ("requests" ,python-requests)
+       ("lxml" ,python-lxml)
+       ("openpyxl" ,python-openpyxl)
+       ("xlrd" ,python-xlrd)))
+    (native-inputs
+     `(("pytest" ,python-pytest)))
+    (synopsis "Terminal spreadsheet multitool for discovering and arranging data")
+    (description
+     "VisiData is an interactive multitool for tabular data.  It combines the
+clarity of a spreadsheet, the efficiency of the terminal, and the power of
+Python, into a lightweight utility which can handle millions of rows.")
+    (home-page "https://www.visidata.org/")
+    (license license:gpl3)))
diff --git a/gnu/packages/visidata.scm b/gnu/packages/visidata.scm
deleted file mode 100644
index a1b16e5ca6..0000000000
--- a/gnu/packages/visidata.scm
+++ /dev/null
@@ -1,64 +0,0 @@
-;;; GNU Guix --- Functional package management for GNU
-;;; Copyright © 2020 Ryan Prior <rprior@protonmail.com>
-;;;
-;;; This file is part of GNU Guix.
-;;;
-;;; GNU Guix is free software; you can redistribute it and/or modify it
-;;; under the terms of the GNU General Public License as published by
-;;; the Free Software Foundation; either version 3 of the License, or (at
-;;; your option) any later version.
-;;;
-;;; GNU Guix is distributed in the hope that it will be useful, but
-;;; WITHOUT ANY WARRANTY; without even the implied warranty of
-;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-;;; GNU General Public License for more details.
-;;;
-;;; You should have received a copy of the GNU General Public License
-;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
-
-(define-module (gnu packages visidata)
-  #:use-module (gnu packages check)
-  #:use-module (gnu packages time)
-  #:use-module (gnu packages python-web)
-  #:use-module (gnu packages python-xyz)
-  #:use-module (gnu packages xml)
-  #:use-module (guix build-system python)
-  #:use-module (guix build utils)
-  #:use-module (guix download)
-  #:use-module ((guix licenses) #:prefix license:)
-  #:use-module (guix packages))
-
-(define-public visidata
-  (package
-    (name "visidata")
-    (version "2.5")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (pypi-uri "visidata" version))
-       (sha256
-        (base32
-         "19fbjr9j91pcazcz0bqx3qrasmr8xdsb13haf5lfbpyxj23f7f1j"))))
-    (build-system python-build-system)
-    (arguments
-     '(#:phases
-       (modify-phases %standard-phases
-         (replace 'check
-           (lambda* (#:key tests? #:allow-other-keys)
-             (when tests? (invoke "pytest"))
-             #t)))))
-    (inputs
-     `(("dateutil" ,python-dateutil)
-       ("requests" ,python-requests)
-       ("lxml" ,python-lxml)
-       ("openpyxl" ,python-openpyxl)
-       ("xlrd" ,python-xlrd)))
-    (native-inputs
-     `(("pytest" ,python-pytest)))
-    (synopsis "Terminal spreadsheet multitool for discovering and arranging data")
-    (description
-     "VisiData is an interactive multitool for tabular data.  It combines the
-clarity of a spreadsheet, the efficiency of the terminal, and the power of
-Python, into a lightweight utility which can handle millions of rows.")
-    (home-page "https://www.visidata.org/")
-    (license license:gpl3)))